org.apache.commons.math3.geometry.euclidean.oned

## Class Euclidean1D.LazyHolder

- java.lang.Object
- - org.apache.commons.math3.geometry.euclidean.oned.Euclidean1D.LazyHolder

Enclosing class:
  Euclidean1D

    private static class Euclidean1D.LazyHolder
    extends Object

Holder for the instance.

We use here the Initialization On Demand Holder Idiom.

### Field Summary

Fields
`private static Euclidean1D` `INSTANCE` Cached field instance.

### Constructor Summary

Constructors
`private` `Euclidean1D.LazyHolder()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    private static final Euclidean1D INSTANCE

Cached field instance.

### Constructor Detail

#### Euclidean1D.LazyHolder

    private Euclidean1D.LazyHolder()